Skip to main content
GET
/
wallets
List all wallets for all vaults
curl --request GET \
  --url https://api.anchorage-staging.com/v2/wallets \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "walletId": "3d293c0d64c703023692216e9b4f5280",
      "walletName": "Bitcoin Mainnet - Wallet 1",
      "depositAddress": {
        "address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
        "addressId": "a33f83d96ca95cac000a344aa478a8b8",
        "addressSignaturePayload": "7b225465787441646472657373223a22324e313941636968513161344d78515736353855464854696f554e6e4d6b6948506b77227d",
        "signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503"
      },
      "assets": [
        {
          "assetType": "BTC",
          "availableBalance": {
            "quantity": "10.00000000",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "97510.1"
          },
          "totalBalance": {
            "quantity": "10.45234733",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "101920.94"
          },
          "stakedBalance": {
            "quantity": "32.00000000",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "312032.32"
          },
          "unclaimedBalance": {
            "quantity": "0",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "0"
          },
          "unvestedBalance": {
            "quantity": "0",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "0"
          },
          "unvestedUnstakeableBalance": {
            "quantity": "0",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "0"
          }
        }
      ],
      "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
      "vaultName": "Long Hold Vault",
      "isDefault": true,
      "isArchived": false,
      "networkId": "BTC",
      "type": "WALLET"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

subaccountIds
string[]

If subaccountIds filter is present, only wallets linked to those subaccountIds will be returned.

networkId
string

If set, only wallets for this Network ID will be returned

assetType
string

If set, only wallets for this Asset Type ID will be returned

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
filterByIsArchived
boolean

Filter by the whether a wallet is archived. If true, then only archived wallets will be returned. If false, then only not-archived wallets are returned. If not specified, then all wallets are returned.

searchByAddress
string

Search wallets based on addresses in this wallet. The search length should be at least 3 characters.

Minimum string length: 3

Response

List of wallets for this vault

data
WalletDetails · object[]
required
page
Page · object
required

Pagination info